Merge branch 'milestone' of github.com:jnovack/phorkie into milestone
authorChristian Weiske <cweiske@cweiske.de>
Fri, 21 Sep 2012 08:32:47 +0000 (10:32 +0200)
committerChristian Weiske <cweiske@cweiske.de>
Fri, 21 Sep 2012 08:32:47 +0000 (10:32 +0200)
Conflicts:
README.rst

1  2 
README.rst

diff --cc README.rst
@@@ -61,10 -66,14 +66,17 @@@ Installatio
  
  Dependencies
  ============
- phorkie stands on the shoulders of giants.  Git will need to be a
- minimum version of v1.7.5.
+ phorkie stands on the shoulders of giants.
 -- git v1.7.5
 -- php v5.3.0
 -- pear v1.9.2
++It requires the following programs to be installed
++on your machine:
++
++- Git v1.7.5 or later
++- PHP v5.3.0 or later
++- PEAR v1.9.2 or later
  
  ::
    $ pear install versioncontrol_git-alpha
    $ pear install services_libravatar-alpha
    $ pear install http_request2
  
    $ pear channel-discover pear.michelf.ca
    $ pear install michelf/Markdown
--  
++
  Note that this version of GeSHi is a bit outdated, but it's the fastest
--way to install it.  If you install it manually be sure to update the
--path in ``data/config.default.php``.
++way to install it.
++If you install it manually be sure to update the
++path from ``data/config.default.php``.
  
  ======
  Search
@@@ -143,19 -152,19 +156,26 @@@ Edit your ``config.php`` and set the ``
  setting to ``git://$yourhostname/git/paste/``.
  The rest will be appended automatically.
  
++
  You're on your own to setup writable repositories.
  
++
  Protect your site with OpenID
  =============================
  You have the option of enabling OpenID authentication to help secure your
--pastes on phorkie.  Set the ``$GLOBALS['phorkie']['auth']`` values in the
++pastes on phorkie.
++Set the ``$GLOBALS['phorkie']['auth']`` values in the
  ``data/config.php`` file as desired.  
  
--There are two different types of security you can apply.  First, you can
- restrict to one of three ``securityLevels``; completely open (0), protection
- of write-enabled functions such as add, edit, etc. (1), and full site
- protection.  Additionally, you can restrict your site to ``listedUsersOnly``.
 -restrict to one of three ``securityLevels``; completely open (``0``), protection
 -of write-enabled functions such as add, edit, etc. (``1``), and full site
 -protection (``2``).  Additionally, you can restrict your site to ``listedUsersOnly``.
--You will need to add the individual OpenIDs identity urls to the
++There are two different types of security you can apply.
++First, you can restrict to one of three ``securityLevels``:
++
++- completely open (``0``)
++- protection of write-enabled functions such as add, edit, etc. (``1``)
++- full site protection (``2``)
++
++Additionally, you can restrict your site to ``listedUsersOnly``.
++You will need to add the individual OpenID urls to the
  ``$GLOBALS['phorkie']['auth']['users']`` variable.